[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Destroy

Destroy - Destructor for TControl. Detaches control from parents, removes graphics, frees memory and Operating System handles, pointers etc

## Declaration

Source position: controls.pp line 1309

`public destructor TControl.Destroy; override;`

## Description

Destructor for Control. Detaches control from parents, removes graphics, frees memory and Operating System handles, pointers etc.

Overrides destructors of ancestor classes, and in turn may be overridden by descendant classes.

## See also

TComponent.Destroy
TLCLComponent.Destroy |  | Destroy - destructor for TLCLComponent: calls inherited Destroy

The latest version of this document can be found at lazarus-ccr.sourceforge.net.